from typing import Dict, Union, Optional
from pydantic_settings import BaseSettings

class Settings(BaseSettings):
    # PostgreSQL配置
    DATABASE_URL: str = "postgresql://knowledge:qwer1234.@173.18.12.203:5432/knowledge_base"
    
    # MinIO配置
    MINIO_ENDPOINT: str = "173.18.12.199:9000"
    MINIO_ACCESS_KEY: str = "yvhNcezRwQvPuUylHqrg"
    MINIO_SECRET_KEY: str = "QQCejGeENpUIkGr4yfDaubPwWCoV29xHoXv6gHYU"
    MINIO_BUCKET_NAME: str = "knowledge-base"
    MINIO_SECURE: bool = False
    
    # 文件上传配置
    MAX_FILE_COUNT: int = 100
    ALLOWED_EXTENSIONS: Dict[str, Dict[str, Union[int, Optional[int]]]] = {
        "doc": {"max_size": 50, "max_pages": 1000},
        "txt": {"max_size": 10, "max_pages": None},
        "docx": {"max_size": 50, "max_pages": 1000},
        "pdf": {"max_size": 500, "max_pages": 3000},
        "ppt": {"max_size": 50, "max_pages": 1000},
        "pptx": {"max_size": 50, "max_pages": 1000},
        "md": {"max_size": 10, "max_pages": None}
    }

settings = Settings()